> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# SERP API 页面截图

> 使用实时页面截图端点，您可以截取任意 SERP 页面的截图。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/serp/screenshot
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/screenshot:
    post:
      summary: SERP API 页面截图
      description: >-
        使用 Live Page Screenshot 端点，可以捕获任意 SERP 页面的截图。该截图通过渲染搜索引擎页面的 HTML
        生成。每次请求都会从你的账户扣费。
      operationId: post_dataforseo_serp_screenshot
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                task_id:
                  type: string
                  description: 关联任务的唯一标识符，采用 UUID 格式；可在 7 天内使用
                browser_preset:
                  type: string
                  description: 浏览器分辨率预设：desktop、tablet 或 mobile
                browser_screen_width:
                  type: integer
                  description: 浏览器分辨率宽度；范围为 240-9999
                browser_screen_height:
                  type: integer
                  description: 浏览器分辨率高度；范围为 240-9999
                browser_screen_scale_factor:
                  type: number
                  description: 浏览器缩放系数；范围为 0.5-3
                page:
                  type: integer
                  description: 要截图的 SERP 页码；默认为 1
              required:
                - task_id
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks[].id:
                    type: string
                    description: UUID 格式的任务标识符
                  tasks[].status_code:
                    type: integer
                    description: 任务状态码
                  tasks[].status_message:
                    type: string
                    description: 任务状态消息
                  tasks[].result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks[].path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks[].data:
                    type: object
                    description: 包含 POST 请求中指定的相同参数
                  tasks[].result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks[].result[].items_count:
                    type: integer
                    description: 结果数组中的项目数量
                  tasks[].result[].items:
                    type: array
                    items:
                      type: string
                    description: 项目数组
                  tasks[].result[].items[].image:
                    type: string
                    description: DataForSEO 存储中页面截图的 URL
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````